#include <PwmEncoder.h>

const int tx_pin = 13;
const int mode_pin = 12;

PwmEncoder Encoder(tx_pin);

char c;

void setup() {
  Serial.begin(9600);
  Encoder.begin(1200);   		// 1200 bit per second
  Encoder.setTxRxModePin(mode_pin);
  Encoder.disableTxMode();
}

void loop() {
  
  // send a string
  if (Serial.available() > 0) {
    Encoder.enableTxMode();           	// Enable TX
    delay(800);                         // Load serial buffer
    String str = Serial.readString();   // One second timeOut
    Encoder.print(str);
    // Encoder.println(str);          	// (print with '\n' and '\r')
    Serial.println(str);
    delay(800);
    Encoder.disableTxMode();           	// Disable TX
  }
  
}
