#include <PwmDecoder.h>

volatile bool PwmDecoder::flagDecoder;
volatile unsigned long PwmDecoder::timeOld;

const int rx_pin = 3;			// Can be used pin 2 or 3 on Arduino UNO (https://goo.gl/nHC95v)

PwmDecoder Decoder(rx_pin);

void setup() {
  Serial.begin(9600);
  Decoder.begin(1200);   		// 1200 bit per second
}

void loop() {
  while (Decoder.isReceiving())
  {
    Decoder.receive();
  }
  if (Decoder.available()) {
    Serial.print(Decoder.readString());
  }
  // Add your code here
}
